package speiger.src.coreengine.assets;

import java.awt.image.BufferedImage;
import java.io.BufferedReader;
import java.io.Closeable;
import java.io.IOException;
import java.io.InputStream;

import com.google.gson.JsonObject;

public interface IAsset extends Closeable
{
	public AssetLocation getLocation();
	
	public InputStream getStream() throws IOException;
	
	public BufferedImage getTexture() throws Exception;
	
	public BufferedReader getStringReader() throws IOException;
	
	public JsonObject getJsonObject() throws IOException;
}
